KDE 4.7 PyKDE API Reference

- KDE's Python API

# KDEDModule Class Reference

`from PyKDE4.kdecore import *`

Inherits: QObject

## Detailed Description

\class KDEDModule kdedmodule.h <KDEDModule>

The base class for KDED modules.

KDED modules are realized as shared libraries that are loaded on-demand into kded at runtime.

See kdelibs/kded/HOWTO for documentation about writing kded modules.

Author:
  Waldo Bastian <bastian@kde.org>

## Signals
| moduleDeleted (KDEDModule a0)
| windowRegistered (long windowId)
| windowUnregistered (long windowId)
## Methods
| __init__ (self, QObject parent=0)
QString | moduleName (self)
| setModuleName (self, QString name)

## Signal Documentation

moduleDeleted | ( | KDEDModule | a0
| ) |  |  |

Emitted when the module is being deleted.

Signal syntax:
  `QObject.connect(source, SIGNAL("moduleDeleted(KDEDModule*)"), target_slot)`

windowRegistered | ( | long | windowId
| ) |  |  |

Emitted when a mainwindow registers itself.

Signal syntax:
  `QObject.connect(source, SIGNAL("windowRegistered(qlonglong)"), target_slot)`

windowUnregistered | ( | long | windowId
| ) |  |  |

Emitted when a mainwindow unregisters itself.

Signal syntax:
  `QObject.connect(source, SIGNAL("windowUnregistered(qlonglong)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Constructor

QString moduleName | ( |  | self ) |

setModuleName | ( | self, |
|  | QString | name
| ) |  |  |

Internal:
  called by kded after loading a module The module name is set from the path of the desktop file, and is used to register the module to D-Bus.